Releasing debian version 1.2.3-1.
[debian/pcmanfm.git] / Makefile.in
CommitLineData
7d32376a 1# Makefile.in generated by automake 1.14.1 from Makefile.am.
ab702381
DB
2# @configure_input@
3
7d32376a
AG
4# Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
ab702381
DB
6# This Makefile.in is free software; the Free Software Foundation
7# gives unlimited permission to copy and/or distribute it,
8# with or without modifications, as long as this notice is preserved.
9
10# This program is distributed in the hope that it will be useful,
11# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13# PARTICULAR PURPOSE.
14
15@SET_MAKE@
ab702381 16VPATH = @srcdir@
7d32376a
AG
17am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18am__make_running_with_option = \
19 case $${target_option-} in \
20 ?) ;; \
21 *) echo "am__make_running_with_option: internal error: invalid" \
22 "target option '$${target_option-}' specified" >&2; \
23 exit 1;; \
24 esac; \
25 has_opt=no; \
26 sane_makeflags=$$MAKEFLAGS; \
27 if $(am__is_gnu_make); then \
28 sane_makeflags=$$MFLAGS; \
29 else \
30 case $$MAKEFLAGS in \
31 *\\[\ \ ]*) \
32 bs=\\; \
33 sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34 | sed "s/$$bs$$bs[$$bs $$bs ]*//g"`;; \
35 esac; \
36 fi; \
37 skip_next=no; \
38 strip_trailopt () \
39 { \
40 flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41 }; \
42 for flg in $$sane_makeflags; do \
43 test $$skip_next = yes && { skip_next=no; continue; }; \
44 case $$flg in \
45 *=*|--*) continue;; \
46 -*I) strip_trailopt 'I'; skip_next=yes;; \
47 -*I?*) strip_trailopt 'I';; \
48 -*O) strip_trailopt 'O'; skip_next=yes;; \
49 -*O?*) strip_trailopt 'O';; \
50 -*l) strip_trailopt 'l'; skip_next=yes;; \
51 -*l?*) strip_trailopt 'l';; \
52 -[dEDm]) skip_next=yes;; \
53 -[JT]) skip_next=yes;; \
54 esac; \
55 case $$flg in \
56 *$$target_option*) has_opt=yes; break;; \
57 esac; \
58 done; \
59 test $$has_opt = yes
60am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
ab702381 62pkgdatadir = $(datadir)/@PACKAGE@
ab702381 63pkgincludedir = $(includedir)/@PACKAGE@
3554f2d2
DB
64pkglibdir = $(libdir)/@PACKAGE@
65pkglibexecdir = $(libexecdir)/@PACKAGE@
ab702381 66am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
ab702381
DB
67install_sh_DATA = $(install_sh) -c -m 644
68install_sh_PROGRAM = $(install_sh) -c
69install_sh_SCRIPT = $(install_sh) -c
70INSTALL_HEADER = $(INSTALL_DATA)
71transform = $(program_transform_name)
72NORMAL_INSTALL = :
73PRE_INSTALL = :
74POST_INSTALL = :
75NORMAL_UNINSTALL = :
76PRE_UNINSTALL = :
77POST_UNINSTALL = :
3e01779c 78subdir = .
7d32376a
AG
79DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
80 $(top_srcdir)/configure $(am__configure_deps) \
81 $(srcdir)/config.h.in AUTHORS COPYING ChangeLog INSTALL NEWS \
6715cddb 82 README TODO compile depcomp install-sh missing
ab702381 83ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
92978c90 84am__aclocal_m4_deps = $(top_srcdir)/configure.ac
ab702381
DB
85am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
86 $(ACLOCAL_M4)
87am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
3e01779c 88 configure.lineno config.status.lineno
92978c90
DB
89mkinstalldirs = $(install_sh) -d
90CONFIG_HEADER = config.h
beb53438 91CONFIG_CLEAN_FILES =
3554f2d2 92CONFIG_CLEAN_VPATH_FILES =
7d32376a
AG
93AM_V_P = $(am__v_P_@AM_V@)
94am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
95am__v_P_0 = false
96am__v_P_1 = :
97AM_V_GEN = $(am__v_GEN_@AM_V@)
98am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
99am__v_GEN_0 = @echo " GEN " $@;
100am__v_GEN_1 =
101AM_V_at = $(am__v_at_@AM_V@)
102am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
103am__v_at_0 = @
104am__v_at_1 =
ab702381
DB
105SOURCES =
106DIST_SOURCES =
7d32376a
AG
107RECURSIVE_TARGETS = all-recursive check-recursive cscopelist-recursive \
108 ctags-recursive dvi-recursive html-recursive info-recursive \
109 install-data-recursive install-dvi-recursive \
110 install-exec-recursive install-html-recursive \
111 install-info-recursive install-pdf-recursive \
112 install-ps-recursive install-recursive installcheck-recursive \
113 installdirs-recursive pdf-recursive ps-recursive \
114 tags-recursive uninstall-recursive
115am__can_run_installinfo = \
116 case $$AM_UPDATE_INFO_DIR in \
117 n|no|NO) false;; \
118 *) (install-info --version) >/dev/null 2>&1;; \
119 esac
3e01779c
DB
120RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
121 distclean-recursive maintainer-clean-recursive
7d32376a
AG
122am__recursive_targets = \
123 $(RECURSIVE_TARGETS) \
124 $(RECURSIVE_CLEAN_TARGETS) \
125 $(am__extra_recursive_targets)
126AM_RECURSIVE_TARGETS = $(am__recursive_targets:-recursive=) TAGS CTAGS \
127 cscope distdir dist dist-all distcheck
128am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) \
129 $(LISP)config.h.in
130# Read a list of newline-separated strings from the standard input,
131# and print each of them once, without duplicates. Input order is
132# *not* preserved.
133am__uniquify_input = $(AWK) '\
134 BEGIN { nonempty = 0; } \
135 { items[$$0] = 1; nonempty = 1; } \
136 END { if (nonempty) { for (i in items) print i; }; } \
137'
138# Make sure the list of sources is unique. This is necessary because,
139# e.g., the same source file might be shared among _SOURCES variables
140# for different programs/libraries.
141am__define_uniq_tagged_files = \
142 list='$(am__tagged_files)'; \
143 unique=`for i in $$list; do \
144 if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
145 done | $(am__uniquify_input)`
ab702381
DB
146ETAGS = etags
147CTAGS = ctags
7d32376a 148CSCOPE = cscope
ab702381
DB
149DIST_SUBDIRS = $(SUBDIRS)
150DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
151distdir = $(PACKAGE)-$(VERSION)
152top_distdir = $(distdir)
153am__remove_distdir = \
7d32376a
AG
154 if test -d "$(distdir)"; then \
155 find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
156 && rm -rf "$(distdir)" \
157 || { sleep 5 && rm -rf "$(distdir)"; }; \
158 else :; fi
159am__post_remove_distdir = $(am__remove_distdir)
3554f2d2
DB
160am__relativize = \
161 dir0=`pwd`; \
162 sed_first='s,^\([^/]*\)/.*$$,\1,'; \
163 sed_rest='s,^[^/]*/*,,'; \
164 sed_last='s,^.*/\([^/]*\)$$,\1,'; \
165 sed_butlast='s,/*[^/]*$$,,'; \
166 while test -n "$$dir1"; do \
167 first=`echo "$$dir1" | sed -e "$$sed_first"`; \
168 if test "$$first" != "."; then \
169 if test "$$first" = ".."; then \
170 dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
171 dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
172 else \
173 first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
174 if test "$$first2" = "$$first"; then \
175 dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
176 else \
177 dir2="../$$dir2"; \
178 fi; \
179 dir0="$$dir0"/"$$first"; \
180 fi; \
181 fi; \
182 dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
183 done; \
184 reldir="$$dir2"
ab702381 185GZIP_ENV = --best
7d32376a
AG
186DIST_ARCHIVES = $(distdir).tar.xz
187DIST_TARGETS = dist-xz
ab702381 188distuninstallcheck_listfiles = find . -type f -print
7d32376a
AG
189am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
190 | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
ab702381
DB
191distcleancheck_listfiles = find . -type f -print
192ACLOCAL = @ACLOCAL@
c52e55d2 193ALL_LINGUAS = @ALL_LINGUAS@
ab702381 194AMTAR = @AMTAR@
7d32376a 195AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
ab702381
DB
196AUTOCONF = @AUTOCONF@
197AUTOHEADER = @AUTOHEADER@
198AUTOMAKE = @AUTOMAKE@
199AWK = @AWK@
200CATALOGS = @CATALOGS@
201CATOBJEXT = @CATOBJEXT@
202CC = @CC@
203CCDEPMODE = @CCDEPMODE@
204CFLAGS = @CFLAGS@
205CPP = @CPP@
206CPPFLAGS = @CPPFLAGS@
207CYGPATH_W = @CYGPATH_W@
208DATADIRNAME = @DATADIRNAME@
209DEFS = @DEFS@
210DEPDIR = @DEPDIR@
211ECHO_C = @ECHO_C@
212ECHO_N = @ECHO_N@
213ECHO_T = @ECHO_T@
214EGREP = @EGREP@
215EXEEXT = @EXEEXT@
92978c90
DB
216FM_CFLAGS = @FM_CFLAGS@
217FM_LIBS = @FM_LIBS@
ab702381 218GETTEXT_PACKAGE = @GETTEXT_PACKAGE@
92978c90
DB
219GIO_CFLAGS = @GIO_CFLAGS@
220GIO_LIBS = @GIO_LIBS@
ab702381
DB
221GMOFILES = @GMOFILES@
222GMSGFMT = @GMSGFMT@
2c896c7a 223GREP = @GREP@
3e01779c 224G_CAST_CHECKS = @G_CAST_CHECKS@
3e01779c 225INSTALL = @INSTALL@
ab702381
DB
226INSTALL_DATA = @INSTALL_DATA@
227INSTALL_PROGRAM = @INSTALL_PROGRAM@
228INSTALL_SCRIPT = @INSTALL_SCRIPT@
229INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
230INSTOBJEXT = @INSTOBJEXT@
231INTLLIBS = @INTLLIBS@
c52e55d2 232INTLTOOL_EXTRACT = @INTLTOOL_EXTRACT@
c52e55d2 233INTLTOOL_MERGE = @INTLTOOL_MERGE@
c52e55d2 234INTLTOOL_PERL = @INTLTOOL_PERL@
c52e55d2 235INTLTOOL_UPDATE = @INTLTOOL_UPDATE@
7d32376a
AG
236INTLTOOL_V_MERGE = @INTLTOOL_V_MERGE@
237INTLTOOL_V_MERGE_OPTIONS = @INTLTOOL_V_MERGE_OPTIONS@
238INTLTOOL__v_MERGE_ = @INTLTOOL__v_MERGE_@
239INTLTOOL__v_MERGE_0 = @INTLTOOL__v_MERGE_0@
ab702381
DB
240LDFLAGS = @LDFLAGS@
241LIBOBJS = @LIBOBJS@
242LIBS = @LIBS@
243LTLIBOBJS = @LTLIBOBJS@
ab702381 244MAKEINFO = @MAKEINFO@
3e01779c 245MKDIR_P = @MKDIR_P@
ab702381
DB
246MKINSTALLDIRS = @MKINSTALLDIRS@
247MSGFMT = @MSGFMT@
8b5b0ae9 248MSGFMT_OPTS = @MSGFMT_OPTS@
c52e55d2 249MSGMERGE = @MSGMERGE@
ab702381
DB
250OBJEXT = @OBJEXT@
251PACKAGE = @PACKAGE@
252PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
ab702381
DB
253PACKAGE_NAME = @PACKAGE_NAME@
254PACKAGE_STRING = @PACKAGE_STRING@
255PACKAGE_TARNAME = @PACKAGE_TARNAME@
3554f2d2 256PACKAGE_URL = @PACKAGE_URL@
ab702381
DB
257PACKAGE_VERSION = @PACKAGE_VERSION@
258PATH_SEPARATOR = @PATH_SEPARATOR@
259PKG_CONFIG = @PKG_CONFIG@
7868df51
DB
260PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
261PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
ab702381
DB
262POFILES = @POFILES@
263POSUB = @POSUB@
264PO_IN_DATADIR_FALSE = @PO_IN_DATADIR_FALSE@
265PO_IN_DATADIR_TRUE = @PO_IN_DATADIR_TRUE@
266SET_MAKE = @SET_MAKE@
267SHELL = @SHELL@
268STRIP = @STRIP@
269USE_NLS = @USE_NLS@
270VERSION = @VERSION@
271XGETTEXT = @XGETTEXT@
92978c90
DB
272XLIB_CFLAGS = @XLIB_CFLAGS@
273XLIB_LIBS = @XLIB_LIBS@
3e01779c
DB
274abs_builddir = @abs_builddir@
275abs_srcdir = @abs_srcdir@
276abs_top_builddir = @abs_top_builddir@
277abs_top_srcdir = @abs_top_srcdir@
ab702381 278ac_ct_CC = @ac_ct_CC@
ab702381
DB
279am__include = @am__include@
280am__leading_dot = @am__leading_dot@
281am__quote = @am__quote@
282am__tar = @am__tar@
283am__untar = @am__untar@
284bindir = @bindir@
285build_alias = @build_alias@
3e01779c 286builddir = @builddir@
ab702381 287datadir = @datadir@
2c896c7a
DB
288datarootdir = @datarootdir@
289docdir = @docdir@
290dvidir = @dvidir@
ab702381
DB
291exec_prefix = @exec_prefix@
292host_alias = @host_alias@
2c896c7a 293htmldir = @htmldir@
ab702381
DB
294includedir = @includedir@
295infodir = @infodir@
296install_sh = @install_sh@
7d32376a
AG
297intltool__v_merge_options_ = @intltool__v_merge_options_@
298intltool__v_merge_options_0 = @intltool__v_merge_options_0@
ab702381
DB
299libdir = @libdir@
300libexecdir = @libexecdir@
2c896c7a 301localedir = @localedir@
ab702381
DB
302localstatedir = @localstatedir@
303mandir = @mandir@
304mkdir_p = @mkdir_p@
305oldincludedir = @oldincludedir@
2c896c7a 306pdfdir = @pdfdir@
ab702381
DB
307prefix = @prefix@
308program_transform_name = @program_transform_name@
2c896c7a 309psdir = @psdir@
ab702381
DB
310sbindir = @sbindir@
311sharedstatedir = @sharedstatedir@
3e01779c 312srcdir = @srcdir@
ab702381
DB
313sysconfdir = @sysconfdir@
314target_alias = @target_alias@
fb9adf59 315top_build_prefix = @top_build_prefix@
3e01779c
DB
316top_builddir = @top_builddir@
317top_srcdir = @top_srcdir@
92978c90
DB
318NULL =
319SUBDIRS = src po data
ab702381 320EXTRA_DIST = \
92978c90 321 $(NULL)
ab702381 322
92978c90
DB
323all: config.h
324 $(MAKE) $(AM_MAKEFLAGS) all-recursive
ab702381
DB
325
326.SUFFIXES:
7d32376a 327am--refresh: Makefile
ab702381 328 @:
92978c90 329$(srcdir)/Makefile.in: $(srcdir)/Makefile.am $(am__configure_deps)
ab702381
DB
330 @for dep in $?; do \
331 case '$(am__configure_deps)' in \
332 *$$dep*) \
92978c90
DB
333 echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
334 $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
ab702381
DB
335 && exit 0; \
336 exit 1;; \
337 esac; \
338 done; \
92978c90 339 echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
3554f2d2 340 $(am__cd) $(top_srcdir) && \
92978c90 341 $(AUTOMAKE) --foreign Makefile
ab702381
DB
342.PRECIOUS: Makefile
343Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
344 @case '$?' in \
345 *config.status*) \
346 echo ' $(SHELL) ./config.status'; \
347 $(SHELL) ./config.status;; \
348 *) \
349 echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
350 cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
351 esac;
352
353$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
354 $(SHELL) ./config.status --recheck
355
92978c90 356$(top_srcdir)/configure: $(am__configure_deps)
3554f2d2 357 $(am__cd) $(srcdir) && $(AUTOCONF)
92978c90 358$(ACLOCAL_M4): $(am__aclocal_m4_deps)
3554f2d2
DB
359 $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
360$(am__aclocal_m4_deps):
ab702381 361
92978c90 362config.h: stamp-h1
7d32376a
AG
363 @test -f $@ || rm -f stamp-h1
364 @test -f $@ || $(MAKE) $(AM_MAKEFLAGS) stamp-h1
92978c90
DB
365
366stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
367 @rm -f stamp-h1
368 cd $(top_builddir) && $(SHELL) ./config.status config.h
369$(srcdir)/config.h.in: $(am__configure_deps)
370 ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
371 rm -f stamp-h1
372 touch $@
373
374distclean-hdr:
375 -rm -f config.h stamp-h1
376
ab702381 377# This directory's subdirectories are mostly independent; you can cd
7d32376a
AG
378# into them and run 'make' without going through this Makefile.
379# To change the values of 'make' variables: instead of editing Makefiles,
380# (1) if the variable is set in 'config.status', edit 'config.status'
381# (which will cause the Makefiles to be regenerated when you run 'make');
382# (2) otherwise, pass the desired values on the 'make' command line.
383$(am__recursive_targets):
384 @fail=; \
385 if $(am__make_keepgoing); then \
386 failcom='fail=yes'; \
387 else \
388 failcom='exit 1'; \
389 fi; \
ab702381
DB
390 dot_seen=no; \
391 target=`echo $@ | sed s/-recursive//`; \
7d32376a
AG
392 case "$@" in \
393 distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
394 *) list='$(SUBDIRS)' ;; \
395 esac; \
396 for subdir in $$list; do \
ab702381
DB
397 echo "Making $$target in $$subdir"; \
398 if test "$$subdir" = "."; then \
399 dot_seen=yes; \
400 local_target="$$target-am"; \
401 else \
402 local_target="$$target"; \
403 fi; \
3554f2d2 404 ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
ab702381
DB
405 || eval $$failcom; \
406 done; \
407 if test "$$dot_seen" = "no"; then \
408 $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
409 fi; test -z "$$fail"
410
7d32376a
AG
411ID: $(am__tagged_files)
412 $(am__define_uniq_tagged_files); mkid -fID $$unique
413tags: tags-recursive
414TAGS: tags
ab702381 415
7d32376a 416tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
3554f2d2 417 set x; \
ab702381
DB
418 here=`pwd`; \
419 if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
420 include_option=--etags-include; \
421 empty_fix=.; \
422 else \
423 include_option=--include; \
424 empty_fix=; \
425 fi; \
426 list='$(SUBDIRS)'; for subdir in $$list; do \
427 if test "$$subdir" = .; then :; else \
428 test ! -f $$subdir/TAGS || \
3554f2d2 429 set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
ab702381
DB
430 fi; \
431 done; \
7d32376a 432 $(am__define_uniq_tagged_files); \
3554f2d2
DB
433 shift; \
434 if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
ab702381 435 test -n "$$unique" || unique=$$empty_fix; \
3554f2d2
DB
436 if test $$# -gt 0; then \
437 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
438 "$$@" $$unique; \
439 else \
440 $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
441 $$unique; \
442 fi; \
ab702381 443 fi
7d32376a
AG
444ctags: ctags-recursive
445
446CTAGS: ctags
447ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
448 $(am__define_uniq_tagged_files); \
3554f2d2 449 test -z "$(CTAGS_ARGS)$$unique" \
ab702381 450 || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
3554f2d2 451 $$unique
ab702381
DB
452
453GTAGS:
454 here=`$(am__cd) $(top_builddir) && pwd` \
3554f2d2
DB
455 && $(am__cd) $(top_srcdir) \
456 && gtags -i $(GTAGS_ARGS) "$$here"
7d32376a
AG
457cscope: cscope.files
458 test ! -s cscope.files \
459 || $(CSCOPE) -b -q $(AM_CSCOPEFLAGS) $(CSCOPEFLAGS) -i cscope.files $(CSCOPE_ARGS)
460clean-cscope:
461 -rm -f cscope.files
462cscope.files: clean-cscope cscopelist
463cscopelist: cscopelist-recursive
464
465cscopelist-am: $(am__tagged_files)
466 list='$(am__tagged_files)'; \
467 case "$(srcdir)" in \
468 [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
469 *) sdir=$(subdir)/$(srcdir) ;; \
470 esac; \
471 for i in $$list; do \
472 if test -f "$$i"; then \
473 echo "$(subdir)/$$i"; \
474 else \
475 echo "$$sdir/$$i"; \
476 fi; \
477 done >> $(top_builddir)/cscope.files
ab702381
DB
478
479distclean-tags:
480 -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
7d32376a 481 -rm -f cscope.out cscope.in.out cscope.po.out cscope.files
ab702381
DB
482
483distdir: $(DISTFILES)
484 $(am__remove_distdir)
3554f2d2 485 test -d "$(distdir)" || mkdir "$(distdir)"
3e01779c
DB
486 @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
487 topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
488 list='$(DISTFILES)'; \
489 dist_files=`for file in $$list; do echo $$file; done | \
490 sed -e "s|^$$srcdirstrip/||;t" \
491 -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
492 case $$dist_files in \
493 */*) $(MKDIR_P) `echo "$$dist_files" | \
494 sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
495 sort -u` ;; \
496 esac; \
497 for file in $$dist_files; do \
ab702381 498 if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
ab702381 499 if test -d $$d/$$file; then \
3e01779c 500 dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
3554f2d2
DB
501 if test -d "$(distdir)/$$file"; then \
502 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
503 fi; \
ab702381 504 if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
3554f2d2
DB
505 cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
506 find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
ab702381 507 fi; \
3554f2d2 508 cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
ab702381 509 else \
3554f2d2
DB
510 test -f "$(distdir)/$$file" \
511 || cp -p $$d/$$file "$(distdir)/$$file" \
ab702381
DB
512 || exit 1; \
513 fi; \
514 done
3554f2d2 515 @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
ab702381 516 if test "$$subdir" = .; then :; else \
7d32376a
AG
517 $(am__make_dryrun) \
518 || test -d "$(distdir)/$$subdir" \
519 || $(MKDIR_P) "$(distdir)/$$subdir" \
520 || exit 1; \
3554f2d2
DB
521 dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
522 $(am__relativize); \
523 new_distdir=$$reldir; \
524 dir1=$$subdir; dir2="$(top_distdir)"; \
525 $(am__relativize); \
526 new_top_distdir=$$reldir; \
527 echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
528 echo " am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
529 ($(am__cd) $$subdir && \
ab702381 530 $(MAKE) $(AM_MAKEFLAGS) \
3554f2d2
DB
531 top_distdir="$$new_top_distdir" \
532 distdir="$$new_distdir" \
3e01779c
DB
533 am__remove_distdir=: \
534 am__skip_length_check=: \
3554f2d2 535 am__skip_mode_fix=: \
ab702381
DB
536 distdir) \
537 || exit 1; \
538 fi; \
539 done
3554f2d2 540 -test -n "$(am__skip_mode_fix)" \
92978c90
DB
541 || find "$(distdir)" -type d ! -perm -755 \
542 -exec chmod u+rwx,go+rx {} \; -o \
ab702381
DB
543 ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
544 ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
3e01779c 545 ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
3554f2d2 546 || chmod -R a+r "$(distdir)"
ab702381
DB
547dist-gzip: distdir
548 tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
7d32376a 549 $(am__post_remove_distdir)
92978c90 550
ab702381 551dist-bzip2: distdir
7d32376a
AG
552 tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
553 $(am__post_remove_distdir)
627c87b5 554
7d32376a
AG
555dist-lzip: distdir
556 tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
557 $(am__post_remove_distdir)
3554f2d2 558dist-xz: distdir
7d32376a
AG
559 tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
560 $(am__post_remove_distdir)
3554f2d2 561
ab702381 562dist-tarZ: distdir
7d32376a
AG
563 @echo WARNING: "Support for shar distribution archives is" \
564 "deprecated." >&2
565 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
ab702381 566 tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
7d32376a 567 $(am__post_remove_distdir)
ab702381
DB
568
569dist-shar: distdir
7d32376a
AG
570 @echo WARNING: "Support for distribution archives compressed with" \
571 "legacy program 'compress' is deprecated." >&2
572 @echo WARNING: "It will be removed altogether in Automake 2.0" >&2
ab702381 573 shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
7d32376a 574 $(am__post_remove_distdir)
ab702381
DB
575
576dist-zip: distdir
577 -rm -f $(distdir).zip
578 zip -rq $(distdir).zip $(distdir)
7d32376a 579 $(am__post_remove_distdir)
ab702381 580
7d32376a
AG
581dist dist-all:
582 $(MAKE) $(AM_MAKEFLAGS) $(DIST_TARGETS) am__post_remove_distdir='@:'
583 $(am__post_remove_distdir)
ab702381
DB
584
585# This target untars the dist file and tries a VPATH configuration. Then
586# it guarantees that the distribution is self-contained by making another
587# tarfile.
588distcheck: dist
589 case '$(DIST_ARCHIVES)' in \
590 *.tar.gz*) \
92978c90 591 GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
ab702381 592 *.tar.bz2*) \
92978c90 593 bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
7d32376a
AG
594 *.tar.lz*) \
595 lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
3554f2d2
DB
596 *.tar.xz*) \
597 xz -dc $(distdir).tar.xz | $(am__untar) ;;\
ab702381
DB
598 *.tar.Z*) \
599 uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
600 *.shar.gz*) \
92978c90 601 GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
ab702381
DB
602 *.zip*) \
603 unzip $(distdir).zip ;;\
604 esac
7d32376a
AG
605 chmod -R a-w $(distdir)
606 chmod u+w $(distdir)
607 mkdir $(distdir)/_build $(distdir)/_inst
ab702381 608 chmod a-w $(distdir)
3554f2d2 609 test -d $(distdir)/_build || exit 0; \
ab702381
DB
610 dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
611 && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
3554f2d2
DB
612 && am__cwd=`pwd` \
613 && $(am__cd) $(distdir)/_build \
7d32376a
AG
614 && ../configure \
615 $(AM_DISTCHECK_CONFIGURE_FLAGS) \
ab702381 616 $(DISTCHECK_CONFIGURE_FLAGS) \
7d32376a 617 --srcdir=.. --prefix="$$dc_install_base" \
ab702381
DB
618 && $(MAKE) $(AM_MAKEFLAGS) \
619 && $(MAKE) $(AM_MAKEFLAGS) dvi \
620 && $(MAKE) $(AM_MAKEFLAGS) check \
621 && $(MAKE) $(AM_MAKEFLAGS) install \
622 && $(MAKE) $(AM_MAKEFLAGS) installcheck \
623 && $(MAKE) $(AM_MAKEFLAGS) uninstall \
624 && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
625 distuninstallcheck \
626 && chmod -R a-w "$$dc_install_base" \
627 && ({ \
628 (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
629 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
630 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
631 && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
632 distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
633 } || { rm -rf "$$dc_destdir"; exit 1; }) \
634 && rm -rf "$$dc_destdir" \
635 && $(MAKE) $(AM_MAKEFLAGS) dist \
636 && rm -rf $(DIST_ARCHIVES) \
3554f2d2
DB
637 && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
638 && cd "$$am__cwd" \
639 || exit 1
7d32376a 640 $(am__post_remove_distdir)
ab702381
DB
641 @(echo "$(distdir) archives ready for distribution: "; \
642 list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
3e01779c 643 sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
ab702381 644distuninstallcheck:
7d32376a
AG
645 @test -n '$(distuninstallcheck_dir)' || { \
646 echo 'ERROR: trying to run $@ with an empty' \
647 '$$(distuninstallcheck_dir)' >&2; \
648 exit 1; \
649 }; \
650 $(am__cd) '$(distuninstallcheck_dir)' || { \
651 echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
652 exit 1; \
653 }; \
654 test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
ab702381
DB
655 || { echo "ERROR: files left after uninstall:" ; \
656 if test -n "$(DESTDIR)"; then \
657 echo " (check DESTDIR support)"; \
658 fi ; \
659 $(distuninstallcheck_listfiles) ; \
660 exit 1; } >&2
661distcleancheck: distclean
662 @if test '$(srcdir)' = . ; then \
663 echo "ERROR: distcleancheck can only run from a VPATH build" ; \
664 exit 1 ; \
665 fi
666 @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
667 || { echo "ERROR: files left in build directory after distclean:" ; \
668 $(distcleancheck_listfiles) ; \
669 exit 1; } >&2
670check-am: all-am
671check: check-recursive
92978c90 672all-am: Makefile config.h
ab702381
DB
673installdirs: installdirs-recursive
674installdirs-am:
ab702381
DB
675install: install-recursive
676install-exec: install-exec-recursive
677install-data: install-data-recursive
678uninstall: uninstall-recursive
679
680install-am: all-am
681 @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
682
683installcheck: installcheck-recursive
684install-strip:
7d32376a
AG
685 if test -z '$(STRIP)'; then \
686 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
687 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
688 install; \
689 else \
690 $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
691 install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
692 "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
693 fi
ab702381
DB
694mostlyclean-generic:
695
696clean-generic:
697
698distclean-generic:
699 -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
3554f2d2 700 -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
ab702381
DB
701
702maintainer-clean-generic:
703 @echo "This command is intended for maintainers to use"
704 @echo "it deletes files that may require special tools to rebuild."
705clean: clean-recursive
706
4c02b03d 707clean-am: clean-generic mostlyclean-am
ab702381
DB
708
709distclean: distclean-recursive
710 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
711 -rm -f Makefile
4c02b03d 712distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
ab702381
DB
713
714dvi: dvi-recursive
715
716dvi-am:
717
718html: html-recursive
719
3554f2d2
DB
720html-am:
721
ab702381
DB
722info: info-recursive
723
724info-am:
725
92978c90 726install-data-am:
ab702381 727
3e01779c
DB
728install-dvi: install-dvi-recursive
729
3554f2d2
DB
730install-dvi-am:
731
c52e55d2 732install-exec-am:
ab702381 733
3e01779c
DB
734install-html: install-html-recursive
735
3554f2d2
DB
736install-html-am:
737
ab702381
DB
738install-info: install-info-recursive
739
3554f2d2
DB
740install-info-am:
741
ab702381
DB
742install-man:
743
3e01779c
DB
744install-pdf: install-pdf-recursive
745
3554f2d2
DB
746install-pdf-am:
747
3e01779c
DB
748install-ps: install-ps-recursive
749
3554f2d2
DB
750install-ps-am:
751
ab702381
DB
752installcheck-am:
753
754maintainer-clean: maintainer-clean-recursive
755 -rm -f $(am__CONFIG_DISTCLEAN_FILES)
756 -rm -rf $(top_srcdir)/autom4te.cache
757 -rm -f Makefile
758maintainer-clean-am: distclean-am maintainer-clean-generic
759
760mostlyclean: mostlyclean-recursive
761
4c02b03d 762mostlyclean-am: mostlyclean-generic
ab702381
DB
763
764pdf: pdf-recursive
765
766pdf-am:
767
768ps: ps-recursive
769
770ps-am:
771
92978c90 772uninstall-am:
ab702381 773
7d32376a
AG
774.MAKE: $(am__recursive_targets) all install-am install-strip
775
776.PHONY: $(am__recursive_targets) CTAGS GTAGS TAGS all all-am \
777 am--refresh check check-am clean clean-cscope clean-generic \
778 cscope cscopelist-am ctags ctags-am dist dist-all dist-bzip2 \
779 dist-gzip dist-lzip dist-shar dist-tarZ dist-xz dist-zip \
780 distcheck distclean distclean-generic distclean-hdr \
781 distclean-tags distcleancheck distdir distuninstallcheck dvi \
782 dvi-am html html-am info info-am install install-am \
783 install-data install-data-am install-dvi install-dvi-am \
784 install-exec install-exec-am install-html install-html-am \
785 install-info install-info-am install-man install-pdf \
786 install-pdf-am install-ps install-ps-am install-strip \
787 installcheck installcheck-am installdirs installdirs-am \
788 maintainer-clean maintainer-clean-generic mostlyclean \
789 mostlyclean-generic pdf pdf-am ps ps-am tags tags-am uninstall \
790 uninstall-am
3554f2d2 791
ab702381 792
ab702381
DB
793# Tell versions [3.59,3.63) of GNU make to not export all variables.
794# Otherwise a system limit (for SysV at least) may be exceeded.
795.NOEXPORT: